Summary: texinfo formatter and info reader
Name: texinfo
%define	version	3.12
Version: %{version}
Release: 9
Copyright: GPL
Group: Applications/Publishing
Source0: ftp://prep.ai.mit.edu/pub/gnu/texinfo-%{version}.tar.gz
Source1: info-dir
Source2: info.wmconfig
Patch0: texinfo-3.9-gzipnames.patch
Patch1: texinfo-3.12-fix.patch
Prereq: /sbin/install-info
Buildroot: /var/tmp/texinfo-root
Summary(de): texinfo-Formatier- und Leseprogramm
Summary(fr): Formatteur texinfo et lecteur pour info.
Summary(tr): texinfo biimleyici ve info okuyucu

%description
The GNU project uses the texinfo file format for much of its documentation. 
This package includes the tools necessary to create .info files from .texinfo 
source files, as well as an emacs interface to all these tools.

%package -n info
Summary: standalone tty based reader for GNU texinfo documents
Group: Utilities/System
# By making info prereq bash, other packages which have triggers based on
# info don't run those triggers until bash is in place as well. This is an
# ugly method of doing it (triggers which fire on set intersection would
# be better), but it's the best we can do for now. Talk to Erik before
# removing this.
Prereq: bash
Summary(de): Unabhngiges tty-basiertes Leseprogramm fr GNU-texinfo-Dokumente
Summary(fr): Lecteur autonome de documents texinfo pour terminal.
Summary(tr): GNU texinfo belgeleri iin tty tabanl grntleyici

%description -n info
The GNU project uses the texinfo file format for much of its documentation. 
This package includes a standalone browser program to view these files.

%description -l de -n info
Das GNU-Projekt benutzt das texinfo-Dateiformat fr den Groteil seiner
Dokumentation. Dieses Paket enthlt ein selbstndiges Browser-Programm 
zum Einsehen dieser Dateien.

%description -l de
Das GNU-Projekt verwendet das Dateiformtat 'texinfo' fr den Groteil der
Dokumentation. Dieses Paket enthlt Tools zum Erstellen von .info-Dateien aus
.texinfo-Quelldateien und eine emacs-Schnittstelle fr diese Tools.

%description -l fr -n info
Le projet GNU utilise le format de fichier texinfo pour la plupart de sa
documentation. Ce paquetage contient un navigateur pour visualiser ces
fichiers.

%description -l fr
Le projet GBU utilise le format de fichier texinfo pour la plupart de sa
documentation. Ce paquetage contient les outils pour crer des fichiers .info
 partir des fichiers sources .texinfo, ainsi qu'une interface emacs pour tous
ces outils.

%description -l tr -n info
Bu pakette, info biimindeki dosyalar okumak iin bir grntleyici
bulunur.

%description -l tr
GNU projesi, belgelemesinin byk blmnde texinfo dosyalarn kullanr.
Bu paket, texinfo dosyalarndan info dosyalarnn tretilmesini salayan
aralarla birlikte, tm bu aralar iin bir emacs arayz de sunar.

%prep
%setup -q
%patch0 -p1 -b .gzipname
%patch1 -p1 -b .fix

%build
CFLAGS="-g" ./configure --prefix=/usr
make 
rm util/install-info
make -C util LIBS=/usr/lib/libz.a

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,sbin}

make install prefix=$RPM_BUILD_ROOT/usr

( cd $RPM_BUILD_ROOT
  gzip -n -9f ./usr/info/*info*
  install -m644 $RPM_SOURCE_DIR/info-dir ./etc/info-dir
  ln -sf ../../etc/info-dir $RPM_BUILD_ROOT/usr/info/dir
  for i in makeinfo texindex info install-info ; do
    strip ./usr/bin/$i
  done
  mv -f ./usr/bin/install-info ./sbin
  mkdir -p ./etc/X11/wmconfig
  install -m 644 $RPM_SOURCE_DIR/info.wmconfig ./etc/X11/wmconfig/info
)

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /usr/info/texinfo.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/texinfo.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog INSTALL INTRODUCTION NEWS README TODO
%doc info/README
/usr/bin/makeinfo
/usr/bin/texindex
/usr/bin/texi2dvi
/usr/info/info-stnd.info*
/usr/info/texinfo*
/usr/share/locale/*/*/*

%files -n info
%defattr(-,root,root)
%config(missingok) /etc/X11/wmconfig/info
%config /etc/info-dir
%config /usr/info/dir
/usr/bin/info
/usr/info/info.info*
/sbin/install-info

%changelog
* Thu Sep 24 1998 Cristian Gafton <gafton@redhat.com>
- fix allocation problems in install-info

* Wed Sep 23 1998 Jeff Johnson <jbj@redhat.com>
- /sbin/install-info should not depend on /usr/lib/libz.so.1 -- statically
  link with /usr/lib/libz.a.

* Fri Aug 07 1998 Erik Troan <ewt@redhat.com>
- added a prereq of bash to the info package -- see the comment for a
  description of why that was done

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue Jun  9 1998 Jeff Johnson <jbj@redhat.com>
- add %attr to permit non-root build.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean
- manhattan build

* Wed Mar 04 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 3.12
- added buildroot

* Sun Nov 09 1997 Donnie Barnes <djb@redhat.com>
- moved /usr/info/dir to /etc/info-dir and made /usr/info/dir a
  symlink to /etc/info-dir.

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added wmconfig entry for info

* Wed Oct 01 1997 Donnie Barnes <djb@redhat.com>
- stripped /sbin/install-info

* Mon Sep 22 1997 Erik Troan <ewt@redhat.com>
- added info-dir to filelist

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- added patch from sopwith to let install-info understand gzip'ed info files
- use skeletal dir file from texinfo tarball (w/ bash entry to reduce
  dependency chain) instead (and install-info command everywhere else)
- patches install-info to handle .gz names correctly

* Tue Jun 03 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Feb 25 1997 Erik Troan <ewt@redhat.com>
- patched install-info.c for glibc.
- added /usr/bin/install-info to the filelist

* Tue Feb 18 1997 Michael Fulbright <msf@redhat.com>
- upgraded to version 3.9.
